# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Array Struct Reference

VLX wrapper of vl::Array. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Array:

List of all members.

## Public Member Functions

virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
template<typename T_Array , typename T_VLXArray >
ref< VLXStructure > | export_ArrayT (VLXSerializer &s, const Object *arr_abstract)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Array.

Definition at line 58 of file VLXWrappers.hpp.

## Member Function Documentation

virtual ref<Object> vl::VLXClassWrapper_Array::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 60 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayInteger, vl::VLXValue::ArrayReal, vl::Log::error(), vl::ref< T >::get(), vl::VLXValue::getArrayInteger(), vl::VLXValue::getArrayReal(), vl::VLXStructure::getValue(), vl::VLXTaggedValue::lineNumber(), NULL, vl::VLXSerializer::registerImportedStructure(), vl::VLXSerializer::signalImportError(), vl::VLXTaggedValue::tag(), vl::VLXValue::type(), and VLX_IMPORT_CHECK_RETURN_NULL.

template<typename T_Array , typename T_VLXArray >

ref<VLXStructure> vl::VLXClassWrapper_Array::export_ArrayT | ( | VLXSerializer & | s,
|  | const Object * | arr_abstract
| ) |  | `[inline]`

Definition at line 394 of file VLXWrappers.hpp.

References vl::Object::as(), vl::VLXSerializer::generateID(), and vl::vlx_makeTag().

virtual ref<VLXStructure> vl::VLXClassWrapper_Array::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 412 of file VLXWrappers.hpp.

References vl::ref< T >::get(), vl::VLXSerializer::registerExportedObject(), and vl::VLXSerializer::signalExportError().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:56.
Permission is granted to use this page to write and publish articles regarding Visualization Library.